Update auf 4.3-1 schlägt fehl: E: The repository '.../component xrdp_20150902/all/ Release' is not signed. - was: "W: Target packages ... is configured multiple times"


#1

Einer von mehreren UCS Servern hat beim automatischen Update bei 4.3-0 errata 89 nicht weiter gemacht.

Das manuelle Update auf 4.3-1 schlug mit folgenden Meldungen fehl:

W: Target Packages (Packages) is configured multiple times in /etc/apt/sources.list.d/00_ucs_temporary_installation.list:5 and /etc/apt/sources.list.d/20_ucs-online-component.list:13
W: Target Packages (Packages) is configured multiple times in /etc/apt/sources.list.d/00_ucs_temporary_installation.list:6 and /etc/apt/sources.list.d/20_ucs-online-component.list:14
W: GPG-Fehler: https://appcenter.software-univention.de/univention-repository/4.1/maintained/component xrdp_20150902/all/ Release: Die folgenden Signaturen waren ungültig: 6B6E7E3259A9F44F1452D1BE36602BA86B8BFD3C
E: The repository 'https://appcenter.software-univention.de/univention-repository/4.1/maintained/component xrdp_20150902/all/ Release' is not signed.
W: GPG-Fehler: https://appcenter.software-univention.de/univention-repository/4.1/maintained/component xrdp_20150902/amd64/ Release: Die folgenden Signaturen waren ungültig: 6B6E7E3259A9F44F1452D1BE36602BA86B8BFD3C
E: The repository 'https://appcenter.software-univention.de/univention-repository/4.1/maintained/component xrdp_20150902/amd64/ Release' is not signed.
W: GPG-Fehler: https://appcenter.software-univention.de/univention-repository/4.0/maintained/component xrdp_20150902/all/ Release: Die folgenden Signaturen waren ungültig: 6B6E7E3259A9F44F1452D1BE36602BA86B8BFD3C
E: The repository 'https://appcenter.software-univention.de/univention-repository/4.0/maintained/component xrdp_20150902/all/ Release' is not signed.
W: GPG-Fehler: https://appcenter.software-univention.de/univention-repository/4.0/maintained/component xrdp_20150902/amd64/ Release: Die folgenden Signaturen waren ungültig: 6B6E7E3259A9F44F1452D1BE36602BA86B8BFD3C
E: The repository 'https://appcenter.software-univention.de/univention-repository/4.0/maintained/component xrdp_20150902/amd64/ Release' is not signed.
W: Target Packages (Packages) is configured multiple times in /etc/apt/sources.list.d/00_ucs_temporary_installation.list:3 and /etc/apt/sources.list.d/20_ucs-online-component.list:11
W: Target Packages (Packages) is configured multiple times in /etc/apt/sources.list.d/00_ucs_temporary_installation.list:4 and /etc/apt/sources.list.d/20_ucs-online-component.list:12
W: Target Packages (Packages) is configured multiple times in /etc/apt/sources.list.d/00_ucs_temporary_installation.list:3 and /etc/apt/sources.list.d/20_ucs-online-component.list:11
W: Target Packages (Packages) is configured multiple times in /etc/apt/sources.list.d/00_ucs_temporary_installation.list:4 and /etc/apt/sources.list.d/20_ucs-online-component.list:12
W: Target Packages (Packages) is configured multiple times in /etc/apt/sources.list.d/00_ucs_temporary_installation.list:5 and /etc/apt/sources.list.d/20_ucs-online-component.list:13
W: Target Packages (Packages) is configured multiple times in /etc/apt/sources.list.d/00_ucs_temporary_installation.list:6 and /etc/apt/sources.list.d/20_ucs-online-component.list:14
Error: Failed to execute "apt-get update"

Ein manuelles Update der Pakete auf 4.3-0 errorlevel 126 war möglich. Aber beim erneuten Versuch, auf 4.3-1 zu aktualisieren, kam wieder die obige Meldung.

Gibt es einen Trick, hier einmal aufräumen zu lassen ?

Danke an die Runde - Gruß Martin


#2

Moin,

das Problem sind nicht die Warnungen (W: …), sondern die Fehler (E: …). Wenn Sie xrdp nicht mehr benötigen, so ist die einfachste Lösung, die Komponente zu entfernen. Dazu entfernen Sie alle UCR-Variablen, deren Name mit repository/online/component/xrdp….

Gruß
mosu


#3

Jawoll. XRDP war das Problem.

Lösung: XRDP App deinstallieren, Updaten auf 4.3-1, XRDP App wieder installieren.

Danke sehr - Martin